package com.steerinfo.ems.trmenergyproperty.service.impl;

import com.steerinfo.ems.trmenergyproperty.mapper.TRmEnergyPropertyMapper;
import com.steerinfo.ems.trmenergyproperty.model.TRmEnergyProperty;
import com.steerinfo.ems.trmenergyproperty.service.ITRmEnergyPropertyService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TRmEnergyProperty服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmEnergyProperty服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmEnergyPropertyService")
public class TRmEnergyPropertyServiceImpl extends BaseServiceImpl<TRmEnergyProperty, String> implements ITRmEnergyPropertyService {

    @Autowired
    private TRmEnergyPropertyMapper tRmEnergyPropertyMapper;

    @Override
    protected IBaseMapper<TRmEnergyProperty, String> getMapper() {
        return tRmEnergyPropertyMapper;
    }

    public List<TRmEnergyProperty> getNameAndId(){
        List<TRmEnergyProperty> rows = tRmEnergyPropertyMapper.getNameAndId();
        return rows;
    }
    public int getMaxSeqNo(){return tRmEnergyPropertyMapper.getMaxSeqNo();}

    @Override
    public String getMaxID() {
        String maxid=tRmEnergyPropertyMapper.getMaxID();
        return maxid;
    }
}
